<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head"></head>
<body>
<div th:replace="fragments/navigation :: navigation"></div>

<div class="container">
    <h1 class="display-2">Sortiment Shop XY</h1>

    <table class="table table-striped table-hover my-3">
        <thead>
        <tr>
            <th style="width: 60%">Artikel</th>
            <th style="width: 15%" class="text-right">Einzelpreis</th>
            <th style="width: 35%" class="text-right"></th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="article: ${articles}">
            <form action="/cart/add" method="post">
                <td class="align-middle">
                    [[*{article.name}]]
                    <input type="hidden" name="name" th:value="${article.name}">
                </td>
                <td class="align-middle text-right">
                    [[*{#numbers.formatCurrency(article.price)}]]
                    <input type="hidden" name="price" th:value="${article.price}">
                </td>
                <td class="align-middle">
                    <button class="btn btn-success" type="submit" title="In den Warenkorb legen"><i
                            class="fas fa-cart-plus"></i></button>
                </td>
            </form>
        </tr>
        </tbody>
    </table>

    <div class="text-right my-3">
        <a class="btn btn-success" type="submit" title="Zur Kasse" href="/cart">weiter</i></a>
    </div>

</div>

<div th:replace="fragments/footer :: footer"></div>
<div th:replace="fragments/scripts :: scripts"></div>
</body>
</html>